BRECSUM(1)

NAME
brecsum - Generate SHA1 sums of raw Blackberry database records.

SYNOPSIS
brecsum [-d db][-h][-p pin][-P pass][-v]

DESCRIPTION

brecsum downloads the specified database(s) and computes a SHA1 checksum on each raw record it finds. The SHA1 sums are written to stdout. This is mainly useful for verifying the integrity of restored data during testing.

OPTIONS

-d db
    Specify the database to download and sum. This option may be given multiple times to fetch more than one database. See btool's -t option to retrieve a list of databases on your device.

-i  Include DB Name, Type, and Unique record IDs in the checksums.

-p pin
    Specify the PIN of the device to talk to. Only needed if there are multiple Blackberries plugged into your system at once.

-P pass
    Simplistic method to specify device password. In a real application, this would be done using a more secure prompt.

-v  Dump verbose protocol data during operation.

-h, --help
    Show summary of options.

RETURN STATUS
In the event of a fatal error, the message will be written to stderr, with an error code of 1.

AUTHOR
brecsum is part of the Barry project. This manual page was written by Chris Frey.

SEE ALSO

http://www.netdirect.ca/software/packages/barry